Autore Topic: Aggiornamento 2.5.28 alla 3.4 ERROR: The archive file is corrupt...  (Letto 4017 volte)

Offline tkpaolo

  • Esploratore
  • **
  • Post: 69
  • Sesso: Maschio
    • Mostra profilo
Buongiorno a tutti.

Vengo subito al dunque: volendo aggiornare la versione 2.5.28 alla 3.4 come da procedura automatica illustrata mi compare subitol'errore:
Citazione
The archive file is corrupt, truncated or archive parts are missing
.
Qualche anima pia potrebbe darmi qualche suggerimento?
Grazie ancora per l'aiuto.

Offline alexred

  • Fuori controllo
  • *
  • Post: 25672
  • Sesso: Maschio
  • Esperto in ozio relaxed
    • Mostra profilo
ciao tkpaolo,
ti conviene provare quindi con la procedura manuale.

Offline tkpaolo

  • Esploratore
  • **
  • Post: 69
  • Sesso: Maschio
    • Mostra profilo
Grazie Alexred, speravo di fare in fretta con la procedura automatica ma se non ho alternative farò come mi hai suggerito. Comunque credo sia sbagliato il link dove va ad attingere il file di aggiornamento. Sai eventualmente quale potrebbe essere quello corretto?

Offline alexred

  • Fuori controllo
  • *
  • Post: 25672
  • Sesso: Maschio
  • Esperto in ozio relaxed
    • Mostra profilo
cavoli, che link ti indica a te che credi sia sbagliato?
Quello corretto per aggiornare alla 3.4.0 è:  https://github.com/joomla/joomla-cms/releases/download/3.4.0/Joomla_3.4.0-Stable-Update_Package.zip

Offline tkpaolo

  • Esploratore
  • **
  • Post: 69
  • Sesso: Maschio
    • Mostra profilo
In effetti il link sarebbe corretto... ma andiamo oltre. Come mi hai suggerito ho provato la procedura manuale, che in un primo tempo credevo particolarmente difficoltosa.
Naturalmente la sto testando in locale ma anche seguendo le perfette indicazioni che sul tuo articolo dai, mi esce questo errore e ora sono quasi nel panico:


Premesso che ho spostato il file di aggiornamento (dopo averlo scompattato) nella cartella tmp (dove ho trovato e lasciato solo il file index.htm ma dopo qualche attimo dalla pressione del tasto installa appare l'avviso. Forse qualche settaggio sbagliato?
Le cartelle sono tutte scrivibili...

Potresti darmi un suggerimento o in indicazione del motivo a cui potrebbe essere dovuto?
Ringrazio anticipatamente chiunque possa darmi aiuto.

Offline alexred

  • Fuori controllo
  • *
  • Post: 25672
  • Sesso: Maschio
  • Esperto in ozio relaxed
    • Mostra profilo
così a occhio l'errore è dato da questo plugin "metagenerator" che non mi pare sia un plugin di sistema di Joomla, forse è qualcosa che hai installato tu ?

Offline tkpaolo

  • Esploratore
  • **
  • Post: 69
  • Sesso: Maschio
    • Mostra profilo
Azz..., si in effetti è un plug-in che ho installato io. Mi sa che mi conviene rifare tutto da capo visto che adesso non riesco ad accedere nemmeno più al pannello amministrativo e quindi disabilitarlo come suggerito. Mea culpa...
Meno male che è in locale e ho i backup. Riprovo e poi t'informo.
L'occhio esperto non si smentisce mai. grazie!

Offline tkpaolo

  • Esploratore
  • **
  • Post: 69
  • Sesso: Maschio
    • Mostra profilo
Eccomi. Aggiornamento "apparentemente" andato a buon fine.
Riesco ad accedere al pannello diamministrazione, molte estensioni funzionano e qualcuna è da configurare ma non mi preoccupo. Anche il template funziona... almeno nell'home page. Infatti appena cerco di vedere qualche altra pagina mi appare questa dicitura:

Sarà mica qualche altro plug-in che non va? Ma HD_OG non mi dice nulla. Qualche idea? Li ho praticamente disattivati tutti.
Premetto che l'avviso appare per mezzo secondo anche sull'home page ma poi scompare e si vede la home regolarmente.
Misteri della tecnologia... :-\

Offline alexred

  • Fuori controllo
  • *
  • Post: 25672
  • Sesso: Maschio
  • Esperto in ozio relaxed
    • Mostra profilo
potrebbe essere questo plugin: http://extensions.joomla.org/extension/hd-open-graph
con la ricerca HD nell'elenco dei plugin non esce niente?

Offline tkpaolo

  • Esploratore
  • **
  • Post: 69
  • Sesso: Maschio
    • Mostra profilo
Si, in effetti esce un plug-in HD-OG che disabilitandolo fa funzionare il sito. Sinceramente non avevo fatto caso a questo ma vedendo che è di tipo system l'avevo escluso a priori. Spero non complichi la funzionalità del sito nel suo complesso lasciandolo disabilitato.

Ora visto che sto continuando a testare il sito in locale anche installando i moduli aggiornati e settandolo a dovere chiedo se sia il caso di fare tutta la procedura da capo sul sito ancora presente in remoto oppure semplicemente trasportare questo da locale via ftp.
Cosa mi consigli? Detto questo credo che non prolungherò oltre il tread...  :P

 
Dimenticavo i ringraziamenti e la pazienza dedicatami. Veramente impagabile!

Offline alexred

  • Fuori controllo
  • *
  • Post: 25672
  • Sesso: Maschio
  • Esperto in ozio relaxed
    • Mostra profilo
Re:Aggiornamento 2.5.28 alla 3.4 ERROR: The archive file is corrupt...
« Risposta #10 il: 14 Mar 2015, 12:21:41 »
Consiglio un bel backup con akeeba del sito online, poi ripetere la procedura che hai individuato come corretta online.
Se poi qualcosa non funziona puoi sempre ripristinare la versione che hai aggiornato in locale.

 

Host

Torna su